package com.gree.mall.contest.bean.admin;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author qinrongjun
 * @description
 * @date 2023/8/12 14:55 星期六
 */
@Data
public class AdminModuleVO {

    @Schema(description = "id")
    private String moduleId;

    @Schema(description = "名称")
    private String moduleName;

    @Schema(description = "模块路径")
    private String modulePath;

    @Schema(description = "true=正常 false=作废")
    private Boolean status;

    @Schema(description = "1=普通菜单 2=功能菜单 3=功能点  4=外部菜单")
    private Integer type;

    @Schema(description = "编号")
    private String code;

    @Schema(description = "层级")
    private Integer level;

    @Schema(description = "url")
    private String url;

    @Schema(description = "全url")
    private String fullUrl;

    @Schema(description = "当前url")
    private String curUrl;

    @Schema(description = "父id")
    private String parentId;

    @Schema(description = "父级名称")
    private String parentModule;

    @Schema(description = "排序号")
    private Integer sortNum;

    @Schema(description = "创建时间")
    private Date createTime;

    @Schema(description = "icon")
    private String icon;

    @Schema(description = "更新时间")
    private Date updateTime;

    @Schema(description = "type=2的功能点")
    List<AdminModuleVO> childList;

    @Schema(description = "是否有缓存")
    private Boolean isCache;
}
